Subject: bug#9112: 24.0.50; EasyPG - creating new gpg-encrypted files fails

From: Daiki Ueno <[email-masked]>
Date: Mon, 01 Aug 2011 11:28:49 +0900

"Roland Winkler" <[email-masked]> writes:

> With Emacs 23 I could create new gpg-encrypted files by simply
> giving the file name the extension .gpg. Then emacs would ask me
> which public keys to use for encryption.

The default value of epa-file-select-keys has changed from nil to
'silent in Emacs 24, which means symmetric encryption is now default.
You could set the variable to nil for the compatible behavior.  However,

> Now emacs will pop up a pinentry window which doesn't do anything
> useful. Whatever I enter there results in the error message
>
>  Opening output file: Encrypt failed: ((exit))

this sounds strange.  Do you mean that you are not able to encrypt a
file even with symmetric encryption?

Regards,
-- 
Daiki Ueno